Package org.apache.sysds.hops.codegen.opt

# Class ReachabilityGraph

java.lang.Object
org.apache.sysds.hops.codegen.opt.ReachabilityGraph

public class ReachabilityGraph extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ReachabilityGraph.SubProblem`

## Constructor Summary

Constructors
Constructor
Description
`ReachabilityGraph(PlanPartition part, CPlanMemoTable memo)`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sysds.hops.codegen.opt.ReachabilityGraph.CutSet`
`getCutSet(boolean[] plan)`
`long`
`getNumSkipPlans(boolean[] plan)`
`InterestingPoint[]`
`getSortedSearchSpace()`
`ReachabilityGraph.SubProblem[]`
`getSubproblems(boolean[] plan)`
`boolean`
`isCutSet(boolean[] plan)`
`boolean`
`isCutSet(org.apache.sysds.hops.codegen.opt.ReachabilityGraph.CutSet cs, boolean[] plan)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReachabilityGraph

public ReachabilityGraph(PlanPartition part, CPlanMemoTable memo)

## Method Details

### getSortedSearchSpace

public InterestingPoint[] getSortedSearchSpace()

### isCutSet

public boolean isCutSet(boolean[] plan)

### isCutSet

public boolean isCutSet(org.apache.sysds.hops.codegen.opt.ReachabilityGraph.CutSet cs, boolean[] plan)

### getCutSet

public org.apache.sysds.hops.codegen.opt.ReachabilityGraph.CutSet getCutSet(boolean[] plan)

### getNumSkipPlans

public long getNumSkipPlans(boolean[] plan)

### getSubproblems

public ReachabilityGraph.SubProblem[] getSubproblems(boolean[] plan)

### toString

public String toString()

Overrides:
  `toString` in class `Object`